"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class AnalysisPanel(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "multiple_genetic_origins",
        "panelName",
        "review_outcome",
        "specificDisease",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_2_1_0 import reports as reports_2_1_0

        return {
            "Gel_BioInf_Models.AnalysisPanel": reports_2_1_0.AnalysisPanel,
        }

    __slots__ = [
        "multiple_genetic_origins",
        "panelName",
        "review_outcome",
        "specificDisease",
        "panelVersion",
    ]

    def __init__(
        self,
        multiple_genetic_origins,
        panelName,
        review_outcome,
        specificDisease,
        panelVersion=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_2_1_0.AnalysisPanel model.

        :param multiple_genetic_origins:
        :type multiple_genetic_origins: str
        :param panelName:
        :type panelName: str
        :param review_outcome:
        :type review_outcome: str
        :param specificDisease:
        :type specificDisease: str
        :param panelVersion:
        :type panelVersion: None | str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "2.1.0"
